Форум программистов, компьютерный форум, киберфорум
Наши страницы
Python: GUI, графика
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.50/6: Рейтинг темы: голосов - 6, средняя оценка - 4.50
Hisenberg228
0 / 0 / 0
Регистрация: 22.02.2015
Сообщений: 43
1

"Error: This version of PyQt5 and the commercial version of Qt have incompatible licenses" при установке Pyqt

27.08.2015, 21:47. Просмотров 1120. Ответов 9
Метки нет (Все метки)

Никак не могу установить pyqt, вылезает такая ошибка Error: This version of PyQt5 and the commercial version of Qt have incompatible licenses. может кто знает как исправить?
0
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
27.08.2015, 21:47
Ответы с готовыми решениями:

Ошибка при сборке "This version of Android Studio is incompatible with the Gradle Plugin used"
Сегодня обновил студию, теперь при сборке проекта вылетает с ошибкой: Error running app: This...

При установке Openbravo ERP выдаёт "no initdb program for version 8.4"
здравствуйте столкнулся с такой проблемой при установке openbravo ERP Настраивается пакет...

ORA-00201: control file version 11.2.0.2.0 incompatible with ORACLE version 11.2.0.0.0
Пожалуйста отзовитесь монстры оракла))) помогите кто чем может, я взял базу с сервера и собираюсь...

Ошибка при соединении с БД "Mixed mode assembly is built against version 'v2.0.50727'"
Выдает такую ошибку при соединении с базой "Mixed mode assembly is built against version...

Ошибка при запуске приложения "Unable to fund a version the runtime to run this application"
Ув. гуру! Подскажите, пожалуйста, что за ошибка вылезла у одного из пользователей моего...

9
akzo
70 / 66 / 6
Регистрация: 08.08.2013
Сообщений: 286
Записей в блоге: 8
27.08.2015, 22:02 2
Я пользуюсь 4 версией - https://riverbankcomputing.com/software/pyqt/download
0
Hisenberg228
0 / 0 / 0
Регистрация: 22.02.2015
Сообщений: 43
27.08.2015, 22:12  [ТС] 3
Как ни странно с четвертой все тоже самое

Добавлено через 9 минут
Только что проделал все заново, вот полный код ошибки

Determining the layout of your Qt installation...
This is the GPL version of PyQt 4.11.4 (licensed under the GNU General Public
License) for Python 2.7.10 on darwin.
Error: This version of PyQt and the commercial version of Qt have incompatible licenses.
0
akzo
70 / 66 / 6
Регистрация: 08.08.2013
Сообщений: 286
Записей в блоге: 8
27.08.2015, 22:49 4
В pyqt alex разбирается, может че подскажет, а пока попробуем методом научного тыка установи это: https://www.riverbankcomputing.com/software/sip/download
0
27.08.2015, 22:49
alex925
2684 / 2290 / 631
Регистрация: 19.03.2012
Сообщений: 8,832
27.08.2015, 22:50 5
А у тебя отдельно qt не установлен? Вообще какая то очень необычная ошибка.
0
Hisenberg228
0 / 0 / 0
Регистрация: 22.02.2015
Сообщений: 43
27.08.2015, 23:01  [ТС] 6
Установлен, я просто пытался поставить pyqt по туториалу с ютуба, там чувак сначала скачал sip, pyqt, qt, потом установил sip после чего запустил установку qt и только после установки qt он начал устанавливать pyqt. Я сделал всё тоже самое.Только мне эта ошибка вылетела.
0
alex925
2684 / 2290 / 631
Регистрация: 19.03.2012
Сообщений: 8,832
27.08.2015, 23:05 7
Hisenberg228, удали все то, что поставил и поставь только это http://sourceforge.net/projects/pyqt/files/PyQt4/PyQt-4.11.3/
0
akzo
70 / 66 / 6
Регистрация: 08.08.2013
Сообщений: 286
Записей в блоге: 8
27.08.2015, 23:05 8
Я в свое время просто скачал экзешник и все
0
alex925
2684 / 2290 / 631
Регистрация: 19.03.2012
Сообщений: 8,832
27.08.2015, 23:11 9
Цитата Сообщение от akzo Посмотреть сообщение
Я в свое время просто скачал экзешник и все
Ты удивишься, но он не единственный такой. Есть ещё люди, которые идут далеко не по самому короткому пути.
0
Hisenberg228
0 / 0 / 0
Регистрация: 22.02.2015
Сообщений: 43
28.08.2015, 01:31  [ТС] 10
Всё спасибо всем большое, вопрос снят у меня всё установилось)))
0
28.08.2015, 01:31
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
28.08.2015, 01:31

Unit1.pas(248,50) Error: Incompatible types: got "recSurfaceList" expected "recBoxBeginEndY"
вот записи recSurfaceList = record IDsurface: word;//ID контейнера px1, py1, pz1, px2,...

выдаёт ошибку: Error: Incompatible type for arg no. 3: Got "Extended", expected "AnsiString"
a:=a/i; не получается переделать под делфи. нужно,чтобы изменённый массив вывел в stringgrid2. ...

ошибка Error: Incompatible type for arg no. 1: Got "TRawbyteSearchRec", expected "LongWord"
Здравствуйте дорогие форумчанины. В данном коде выходит ошибка unit1.pas(101,24) Error:...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
10
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Рейтинг@Mail.ru